CEIL(3)

NAME
ceil, ceilf, ceill - smallest integral value greater than or equal to x

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
ceil(double x);
float
ceilf(float x);
long double
ceill(long double x);

DESCRIPTION
The ceil(), ceilf() and ceill() functions return the smallest integral value greater than or equal to x, expressed as a floating-point number.

SEE ALSO
abs(3), fabs(3), floor(3), ieee(3), math(3), rint(3), round(3), trunc(3)

STANDARDS
The ceil() function conforms to isoC. The ceilf() and ceill() functions conform to isoC-99.